Commit e354ae76 authored by Glenn Morris's avatar Glenn Morris
Browse files

* pgg-gpg.el, pgg-pgp.el, pgg-pgp5.el: Tweak requires to silence compiler.

parent b8e57bf4
2013-05-24 Glenn Morris <rgm@gnu.org>
 
* obsolete/pgg-gpg.el, obsolete/pgg-pgp.el, obsolete/pgg-pgp5.el:
Tweak requires to silence compiler.
* obsolete/sym-comp.el: No need to load hipper-exp when compiling.
(he-search-string, he-tried-table, he-expand-list)
(he-init-string, he-string-member, he-substitute-string)
......
......@@ -28,8 +28,9 @@
;;; Code:
(eval-when-compile
(require 'cl) ; for gpg macros
(require 'pgg))
(require 'cl))
(require 'pgg)
(defgroup pgg-gpg ()
"GnuPG interface."
......
......@@ -26,8 +26,9 @@
;;; Code:
(eval-when-compile
(require 'cl) ; for pgg macros
(require 'pgg))
(require 'cl))
(require 'pgg)
(defgroup pgg-pgp ()
"PGP 2.* and 6.* interface."
......
......@@ -26,8 +26,9 @@
;;; Code:
(eval-when-compile
(require 'cl) ; for pgg macros
(require 'pgg))
(require 'cl))
(require 'pgg)
(defgroup pgg-pgp5 ()
"PGP 5.* interface."
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment